package com.jjt.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <pre>
 * 路由测试控制器
 * 这个控制器亦可以用于后续和servicecomb做集成调转，将其作为一个路由控制器
 * </pre>
 * @author todder
 *
 */
@RestController
@RequestMapping("/route")
public class RouteController {

	@Autowired
	private Environment env;
	
	@GetMapping("/test")
	public String test() {
		
		return env.getProperty("jjt.test");
	}
}
